# Interface WormholeCore<N, P, C>

#### Type Parameters

- #### N extends Network

- #### P extends Platform

- #### C extends PlatformToChains<P>

#### Hierarchy

- WormholeCore

- Defined in core/definitions/dist/esm/protocols/core.d.ts:7

#####
Index

### Methods

getMessageFee
parseTransaction
publishMessage
verifyMessage

## Methods

### getMessageFee

- getMessageFee(): Promise<bigint>

- #### Returns Promise<bigint>

  - Defined in core/definitions/dist/esm/protocols/core.d.ts:8

### parseTransaction

- parseTransaction(txid): Promise<WormholeMessageId[]>

- #### Parameters

  - ##### txid: string

  #### Returns Promise<WormholeMessageId[]>

  - Defined in core/definitions/dist/esm/protocols/core.d.ts:11

### publishMessage

- publishMessage(sender, message, nonce, consistencyLevel): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### message: string | Uint8Array

  - ##### nonce: number

  - ##### consistencyLevel: number

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in core/definitions/dist/esm/protocols/core.d.ts:9

### verifyMessage

- verifyMessage(sender, vaa): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### vaa: VAA<PayloadLiteral>

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in core/definitions/dist/esm/protocols/core.d.ts:10

Generated using TypeDoc